# DataExchange
TKXSBase
MoniTool

# MoniTool_IntVal Class Reference

An Integer through a Handle (i.e. managed as TShared)
.

`#include <MoniTool_IntVal.hxx>`

## Public Member Functions

Standard_EXPORT | MoniTool_IntVal (const Standard_Integer val=0)
Standard_EXPORT Standard_Integer | Value () const
Standard_EXPORT Standard_Integer & | CValue ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theval

## Constructor & Destructor Documentation

Standard_EXPORT MoniTool_IntVal::MoniTool_IntVal | ( | const Standard_Integer | val = `0` | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer& MoniTool_IntVal::CValue | ( |  | ) |

Standard_EXPORT const MoniTool_IntVal::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer MoniTool_IntVal::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MoniTool_IntVal::theval `[private]`

The documentation for this class was generated from the following file:

- MoniTool_IntVal.hxx